///////////////////////////////////////////////////////////////////////////////////////
// Author: Synactive, Inc. [1065 E. Hillsdale Blvd, Foster City, CA, 94404, USA]
// Email: support@guixt.com; sales@guixt.com; 
// Contact: 650.341.3310
// Version: 1.0.0.0
///////////////////////////////////////////////////////////////////////////////////////

//Logic to do RFC and get the list of work items for current user, 
//in order to provide the count of returned data

//Specify read table rules
tmp_options = [("USER_ID = '" + _user + "'")];
tmp_fields = ["WI_ID"];
tmp_data = [];

//RFC
rfcResult = call("RFC_READ_TABLE", {"in.QUERY_TABLE":"SWWUSERWI",
									"table.OPTIONS":"tmp_options",
									"table.FIELDS":"tmp_fields",
									"table.DATA(width:3000)":"tmp_data"});
									
//Verify potential RFC exception and returned data count									
println("=====>>RFC_READ_TABLE Exception="+rfcResult.exception+"<==");
println("=====>>WI Count="+tmp_data.length+"<==");								

//Logic to change screen title to represent the work item count
if(tmp_data.length > 0){		//If returned data count is larger than 0
	title(_title + ": New Work Item(s): " + tmp_data.length);
}	




